package com.hfkj.model.order.orderExport;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
  * @ClassName MerOrderSettlementDetailModel
  * @Author Sum1Dream
  * @Description 商户订单结算详情
  * @Date 2024/9/29 上午10:50
 **/
@Data
public class OrderSettlementModel {


    @ColumnWidth(40)
    @ExcelProperty("商户名称")
    public String merName;

    @ColumnWidth(20)
    @ExcelProperty("支付方式")
    public String payType;

    @ColumnWidth(20)
    @ExcelProperty("业务类型")
    public String businessType;

    @ColumnWidth(20)
    @ExcelProperty({"结算金额"})
    public BigDecimal payRealPrice;

    @ColumnWidth(30)
    @ExcelProperty("结算日期")
    public String time;
}
