package com.hfkj.model.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

/**
 * 订单售后申请模型
 * @className: OrderAfterSalesApplyModel
 * @author: HuRui
 * @date: 2024/9/19
 **/
@Data
public class OrderAfterSalesApplyModel {

    @ColumnWidth(20)
    @ExcelProperty("申请单号")
    private String applyNo;

    @ColumnWidth(20)
    @ExcelProperty("申请类型")
    private String applyType;

    @ColumnWidth(20)
    @ExcelProperty("用户手机号")
    private String userPhone;

    @ColumnWidth(25)
    @ExcelProperty("交易单号")
    private String orderNo;

    @ColumnWidth(20)
    @ExcelProperty("商品单号")
    private String orderChildNo;

    @ColumnWidth(20)
    @ExcelProperty("产品类型")
    private String productType;

    @ColumnWidth(50)
    @ExcelProperty("产品名称")
    private String productName;

    @ColumnWidth(30)
    @ExcelProperty("产品规格")
    private String productSpecName;

    @ColumnWidth(20)
    @ExcelProperty("申请退款数量")
    private Integer productCount;

    @ColumnWidth(20)
    @ExcelProperty("申请退款金额")
    private String refundPrice;

    @ColumnWidth(20)
    @ExcelProperty("申请退款积分")
    private String refundIntegral;

    @ColumnWidth(20)
    @ExcelProperty("状态")
    private String status;

}
